org.apache.jmeter.report.processor

## Interface SampleIndexer<TIndex>

- Type Parameters:
    `TIndex` - the type of the index

      public interface SampleIndexer<TIndex>

  The classes that implement interface SampleIndexer have to calculate an index from a sample.
  Since:
    3.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `TIndex` | `calculateIndex(Sample sample)` Calculate index from the specified sample.
    `void` | `reset()` Reset the index calculation logic.

- - ### Method Detail

    - #### calculateIndex

          TIndex calculateIndex(Sample sample)

      Calculate index from the specified sample.
      Parameters:
        `sample` - the sample
      Returns:
        the index

    - #### reset

          void reset()

      Reset the index calculation logic.

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.